# HTML Creator: build standalone HTML documents using Python code

[![Python](https://img.shields.io/badge/Python-3.6%20%7C%203.7%20%7C%203.8-blue)](https://www.python.org/downloads/)
[![PyPI version](https://img.shields.io/pypi/v/htmlcreator?color=1)](https://pypi.org/project/htmlcreator/)
[![license](https://img.shields.io/pypi/l/htmlcreator)](https://github.com/ar-nowaczynski/htmlcreator)

HTML Creator is a simple tool for creating standalone HTML documents containing text, images, tables and figures.

Useful for:

- building HTML documents and reports using Python code

- embedding various data (text, images, tables, figures) into the single HTML file

- sharing results with collaborators (upload single file)

- accessibility (all Internet browsers open HTML file)

## Installation

```bash
$ pip install htmlcreator
```

## Usage

See examples:

| | script | output |
| - | - | - |
| 1 | [build_first_document.py](https://github.com/ar-nowaczynski/htmlcreator/blob/master/examples/1_build_first_document.py) | [first_document.html](https://ar-nowaczynski.github.io/htmlcreator/examples/1_first_document.html) |
| 2 | [build_document_with_plotly.py](https://github.com/ar-nowaczynski/htmlcreator/blob/master/examples/2_build_document_with_plotly.py) | [document_with_plotly.html](https://ar-nowaczynski.github.io/htmlcreator/examples/2_document_with_plotly.html) |

## License

MIT License (see [LICENSE](https://github.com/ar-nowaczynski/htmlcreator/blob/master/LICENSE)).
